Page MenuHomeFreeBSD

systat: Add SPDX-License-Identifier
AbandonedPublic

Authored by emaste on Mar 20 2021, 6:22 PM.

Details

Summary

Add SPDX-License-Identifier to files missing

Test Plan

N/A

Diff Detail

Repository
R10 FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

This revision is now accepted and ready to land.Mar 21 2021, 12:27 AM
mr requested changes to this revision.Apr 21 2021, 6:40 PM
mr added a subscriber: mr.

Hi,
I get the following during applying the patch:

git arc patch D29354
INFO Base commit is not in local repository; trying to fetch.
Prüfe Patch usr.bin/systat/sysput.c ...
Prüfe Patch usr.bin/systat/proc.c ...
error: usr.bin/systat/proc.c ist nicht im Index
Patch usr.bin/systat/sysput.c sauber angewendet

Patch Failed!
Usage Exception: Unable to apply patch!

Is proc.c in another revision or bug report?

This revision now requires changes to proceed.Apr 21 2021, 6:40 PM

systat: Update to SPDX BSD-2-Clause - I've written zarc.c and sysput.c and University of California hasn't been involved

I had mixed with another changeset and caused failures.

I've written sysput.c and zarc.c.
I copied other BSD-2-Coluser to remove "the University" sentences.

Legally "All Rights Reserved." is no longer required, so we no longer add it to copyright messages.

We do not add and extra blank line at the end of copyright notices. Do you have a reason for adding it in these two copyright messages?

This revision was not accepted when it landed; it landed in state Needs Review.May 11 2021, 6:12 AM
This revision was automatically updated to reflect the committed changes.

forgot to approve before committing.

This now follows FreeBSD style.

This change has now been MFC'ed to 12-stable and 13-stable, so can be closed.

emaste accepted this revision.
emaste abandoned this revision.

It seems Phab will not offer the option to close again :(

Ed, thanks for trying to do the close. Seems like a bug in Phabricator, but not sure to whom to report it. Meanwhile, abandonment seems like the best option.